/*
 * Copyright (C) 2020 - 2024 ANSYS, Inc. and/or its affiliates.
 * SPDX-License-Identifier: MIT
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

#ifndef _WUX_SDY_PROXY_H_F283C6B6_04E4_461C_A652_E304041E36F2_
#define _WUX_SDY_PROXY_H_F283C6B6_04E4_461C_A652_E304041E36F2_

/**
 * @file
 * @brief Declarations of the functions generated by the service SdyProxy.
 *
 */

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief Load the DLLs of the graphical panels.
 * @return int
 *    1 if successful, otherwise 0.
 */
int WuxLoadSdyDlls(/*HINSTANCE*/ void* hinstDll);
/**
 * @brief Unload the DLLs of the graphical panels.
 * @return int
 *    1 if successful, otherwise 0.
 */
int WuxUnloadSdyDlls(/*HINSTANCE*/ void* hinstDll);

#ifdef __cplusplus
}
#endif

#endif /* _WUX_SDY_PROXY_H_F283C6B6_04E4_461C_A652_E304041E36F2_ */
